MicrosoftTunnelServerLogCollectionResponse を更新する
名前空間: microsoft.graph
大事な: Microsoft Graph /beta バージョンの API は変更される可能性があります。実稼働環境での使用はサポートされていません。
注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。
microsoftTunnelServerLogCollectionResponse オブジェクトのプロパティを更新します。
前提条件
この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。
| アクセス許可の種類 | アクセス許可 (特権の小さいものから大きいものへ) |
|---|---|
| 委任 (職場または学校のアカウント) | DeviceManagementConfiguration.ReadWrite.All |
| 委任 (個人用 Microsoft アカウント) | サポートされていません。 |
| アプリケーション | DeviceManagementConfiguration.ReadWrite.All |
HTTP 要求
PATCH /deviceManagement/microsoftTunnelServerLogCollectionResponses/{microsoftTunnelServerLogCollectionResponseId}
要求ヘッダー
| ヘッダー | 値 |
|---|---|
| Authorization | ベアラー <トークン> が必要です。 |
| 承諾 | application/json |
要求本文
要求本文で 、microsoftTunnelServerLogCollectionResponse オブジェクトの JSON 表記を指定します。
次の表に 、microsoftTunnelServerLogCollectionResponse を作成するときに必要なプロパティを示します。
| プロパティ | 種類 | 説明 |
|---|---|---|
| id | String | エンティティの一意の ID |
| status | microsoftTunnelLogCollectionStatus | ログコレクションの状態。 可能な値は pending、completed、failed です。 |
| startDateTime | DateTimeOffset | 収集されたログの開始時刻 |
| endDateTime | DateTimeOffset | 収集されたログの終了時刻 |
| sizeInBytes | Int64 | ログのサイズ (バイト単位) |
| serverId | String | ログ コレクションが要求されるサーバーの ID |
| requestDateTime | DateTimeOffset | ログ コレクションが要求された時刻 |
| expiryDateTime | DateTimeOffset | ログ コレクションの有効期限が切れている時刻 |
応答
成功した場合、このメソッドは応答コードと、応答本文で 200 OK 更新された microsoftTunnelServerLogCollectionResponse オブジェクトを返します。
例
要求
以下は、要求の例です。
PATCH https://graph.microsoft.com/beta/deviceManagement/microsoftTunnelServerLogCollectionResponses/{microsoftTunnelServerLogCollectionResponseId}
Content-type: application/json
Content-length: 395
{
"@odata.type": "#microsoft.graph.microsoftTunnelServerLogCollectionResponse",
"status": "completed",
"startDateTime": "2016-12-31T23:58:46.7156189-08:00",
"endDateTime": "2017-01-01T00:03:30.9241974-08:00",
"sizeInBytes": 11,
"serverId": "Server Id value",
"requestDateTime": "2017-01-01T00:03:07.1589002-08:00",
"expiryDateTime": "2017-01-01T00:03:32.5199332-08:00"
}
応答
以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 444
{
"@odata.type": "#microsoft.graph.microsoftTunnelServerLogCollectionResponse",
"id": "05dcc2e9-c2e9-05dc-e9c2-dc05e9c2dc05",
"status": "completed",
"startDateTime": "2016-12-31T23:58:46.7156189-08:00",
"endDateTime": "2017-01-01T00:03:30.9241974-08:00",
"sizeInBytes": 11,
"serverId": "Server Id value",
"requestDateTime": "2017-01-01T00:03:07.1589002-08:00",
"expiryDateTime": "2017-01-01T00:03:32.5199332-08:00"
}
フィードバック
フィードバックの送信と表示